<?xml version="1.0"?>
<!--Created by XmlV2StringWriter-->
<SMTK_AttributeSystem Version="2">
  <!--**********  Category and Analysis Information ***********-->
  <Categories>
    <Cat>Constituent</Cat>
    <Cat>Flow</Cat>
    <Cat>General</Cat>
    <Cat>Heat</Cat>
    <Cat>Veg</Cat>
  </Categories>
  <!--**********  Attribute Definitions ***********-->
  <Definitions>
    <AttDef Type="BaseDef" BaseType="" Version="0" Unique="true">
      <ItemDefinitions>
        <Int Name="IntItem1" Version="0" NumberOfRequiredValues="1">
          <Categories>
            <Cat>Flow</Cat>
          </Categories>
        </Int>
        <Int Name="IntItem2" Version="0" NumberOfRequiredValues="1">
          <Categories>
            <Cat>Heat</Cat>
          </Categories>
          <DefaultValue>10</DefaultValue>
        </Int>
      </ItemDefinitions>
    </AttDef>
    <AttDef Type="Derived1" BaseType="BaseDef" Version="0" Unique="true">
      <ItemDefinitions>
        <Double Name="DoubleItem1" Version="0" NumberOfRequiredValues="1">
          <Categories>
            <Cat>Veg</Cat>
          </Categories>
          <ExpressionType>ExpDef</ExpressionType>
        </Double>
        <Double Name="DoubleItem2" Version="0" NumberOfRequiredValues="1">
          <Categories>
            <Cat>Constituent</Cat>
          </Categories>
          <DefaultValue>-35.200000000000003</DefaultValue>
        </Double>
      </ItemDefinitions>
    </AttDef>
    <AttDef Type="Derived3" BaseType="Derived1" Version="0" Unique="true">
      <ItemDefinitions>
        <Group Name="GroupItem1" Version="0" NumberOfRequiredGroups="1" Extensible="true">
          <ComponentLabels CommonLabel="" />
          <ItemDefinitions>
            <Int Name="GIntItem1" Version="0" NumberOfRequiredValues="1">
              <Categories>
                <Cat>Flow</Cat>
              </Categories>
            </Int>
            <Int Name="GIntItem2" Version="0" NumberOfRequiredValues="1">
              <Categories>
                <Cat>Heat</Cat>
              </Categories>
              <DefaultValue>10</DefaultValue>
            </Int>
          </ItemDefinitions>
        </Group>
        <Group Name="GroupItem2" Version="0" NumberOfRequiredGroups="0" Extensible="true" MaxNumberOfGroups="5">
          <ComponentLabels CommonLabel="" />
          <ItemDefinitions>
            <Double Name="GDoubleItem1" Version="0" NumberOfRequiredValues="1">
              <Categories>
                <Cat>Veg</Cat>
              </Categories>
            </Double>
            <Double Name="GDoubleItem2" Version="0" NumberOfRequiredValues="1">
              <Categories>
                <Cat>General</Cat>
              </Categories>
              <DefaultValue>123.456</DefaultValue>
            </Double>
          </ItemDefinitions>
        </Group>
        <Group Name="GroupItem3" Version="0" NumberOfRequiredGroups="4">
          <ItemDefinitions>
            <String Name="GStringItem1" Version="0" NumberOfRequiredValues="1" Extensible="true">
              <Categories>
                <Cat>Flow</Cat>
              </Categories>
            </String>
            <String Name="GStringItem2" Version="0" NumberOfRequiredValues="0" Extensible="true" MaxNumberOfValues="5">
              <Categories>
                <Cat>General</Cat>
              </Categories>
              <DefaultValue>Default</DefaultValue>
            </String>
            <String Name="GStringItem3" Version="0" NumberOfRequiredValues="4">
              <Categories>
                <Cat>General</Cat>
              </Categories>
              <DefaultValue>Default</DefaultValue>
            </String>
          </ItemDefinitions>
        </Group>
      </ItemDefinitions>
    </AttDef>
    <AttDef Type="Derived2" BaseType="Derived1" Version="0" Unique="true">
      <ItemDefinitions>
        <String Name="StringItem1" Version="0" NumberOfRequiredValues="1" Extensible="true">
          <Categories>
            <Cat>Flow</Cat>
          </Categories>
        </String>
        <String Name="StringItem2" Version="0" NumberOfRequiredValues="0" Extensible="true" MaxNumberOfValues="5">
          <Categories>
            <Cat>General</Cat>
          </Categories>
          <DefaultValue>Default</DefaultValue>
        </String>
        <String Name="StringItem3" Version="0" NumberOfRequiredValues="4">
          <Categories>
            <Cat>General</Cat>
          </Categories>
          <DefaultValue>Default</DefaultValue>
        </String>
        <File Name="FileItem1" Version="0" NumberOfRequiredValues="1" Extensible="true">
          <Categories>
            <Cat>Flow</Cat>
          </Categories>
        </File>
        <File Name="FileItem2" Version="0" NumberOfRequiredValues="0" Extensible="true" MaxNumberOfValues="5">
          <Categories>
            <Cat>General</Cat>
          </Categories>
          <DefaultValue>Default</DefaultValue>
        </File>
        <File Name="FileItem3" Version="0" NumberOfRequiredValues="4">
          <Categories>
            <Cat>General</Cat>
          </Categories>
          <DefaultValue>Default</DefaultValue>
        </File>
        <Directory Name="DirectoryItem1" Version="0" NumberOfRequiredValues="1" Extensible="true">
          <Categories>
            <Cat>Flow</Cat>
          </Categories>
        </Directory>
        <Directory Name="DirectoryItem2" Version="0" NumberOfRequiredValues="0" Extensible="true" MaxNumberOfValues="5">
          <Categories>
            <Cat>General</Cat>
          </Categories>
          <DefaultValue>Default</DefaultValue>
        </Directory>
        <Directory Name="DirectoryItem3" Version="0" NumberOfRequiredValues="4">
          <Categories>
            <Cat>General</Cat>
          </Categories>
          <DefaultValue>Default</DefaultValue>
        </Directory>
      </ItemDefinitions>
    </AttDef>
    <AttDef Type="ExpDef" BaseType="" Version="0" Unique="true">
      <BriefDescription>Sample Expression</BriefDescription>
      <DetailedDescription>Sample Expression for testing
There is not much here!</DetailedDescription>
      <ItemDefinitions>
        <String Name="Expression String" Version="0" NumberOfRequiredValues="1">
          <DefaultValue>sample</DefaultValue>
        </String>
        <String Name="Aux String" Version="0" NumberOfRequiredValues="1" />
      </ItemDefinitions>
    </AttDef>
  </Definitions>
  <!--**********  Attribute Instances ***********-->
  <Attributes />
  <!--********** Workflow Views ***********-->
  <Views>
    <View Type="Group" Title="SimBuilder" GroupStyle="Group" TopLevel="true">
      <DefaultColor>1., 1., 0.5, 1.</DefaultColor>
      <InvalidColor>1, 0.5, 0.5, 1</InvalidColor>
      <Views />
    </View>
  </Views>
</SMTK_AttributeSystem>
